Skip to content
On this page

Get All Phone Number Verification Requests.

Endpoint for getting all Phone Number Verification requests by search filter.

Endpoints

EnvironmentURL
Sandboxhttps://api-test.streamline.laboremus.ug/phone-verify/api/Verification[?RequesterId][&VerificationStatuses][&Statuses][&PhoneNumber][&From][&To][&ReferenceId][&Query][&Skip][&Limit]&v=1.0
Productionhttps://api.streamline.laboremus.ug/phoneid/api/Verification

Request

Request Type : GET

Authorization

There are two ways to be authorized when making this request.

js
const token = 'eyJhbGciOiJIUzI1NiIsInR5.eyJzd...ssw5c'
axios.get(API_ENDPOINT, 
  headers: {
    Authorization: `Bearer ${token}`
  }
)
const token = 'eyJhbGciOiJIUzI1NiIsInR5.eyJzd...ssw5c'
axios.get(API_ENDPOINT, 
  headers: {
    Authorization: `Bearer ${token}`
  }
)
js
import axios from 'axios'
    import oauth from 'axios-oauth-client'
    
    const getClientCredentials = oauth.clientCredentials(
    axios.create(),
    'https://oauth.com/2.0/token',
    'CLIENT_ID',
    'CLIENT_SECRET'
    )

    const auth = await getClientCredentials('OPTIONAL_SCOPES')
    // => { "access_token": "...", "expires_in": 900, ... }

    axios.get(API_ENDPOINT, 
      headers: {
        Authorization: `Bearer ${auth.access_token}`
      }
    )
import axios from 'axios'
    import oauth from 'axios-oauth-client'
    
    const getClientCredentials = oauth.clientCredentials(
    axios.create(),
    'https://oauth.com/2.0/token',
    'CLIENT_ID',
    'CLIENT_SECRET'
    )

    const auth = await getClientCredentials('OPTIONAL_SCOPES')
    // => { "access_token": "...", "expires_in": 900, ... }

    axios.get(API_ENDPOINT, 
      headers: {
        Authorization: `Bearer ${auth.access_token}`
      }
    )

INFO

Always add your Subscription key to the request.

Subscription Key

Include your subscription key in every request using one of these methods:

MethodHeader/Parameter
Header (recommended)Ocp-Apim-Subscription-Key: <your_key>
Query parameter?subscription-key=<your_key>
bash
curl --request GET \
  --url 'https://api.example.com/endpoint' \
  --header 'Authorization: Bearer <access_token>' \
  --header 'Ocp-Apim-Subscription-Key: <your_subscription_key>'
curl --request GET \
  --url 'https://api.example.com/endpoint' \
  --header 'Authorization: Bearer <access_token>' \
  --header 'Ocp-Apim-Subscription-Key: <your_subscription_key>'
js
const response = await fetch(API_ENDPOINT, {
  headers: {
    'Authorization': `Bearer ${accessToken}`,
    'Ocp-Apim-Subscription-Key': '<your_subscription_key>'
  }
})
const response = await fetch(API_ENDPOINT, {
  headers: {
    'Authorization': `Bearer ${accessToken}`,
    'Ocp-Apim-Subscription-Key': '<your_subscription_key>'
  }
})
python
import requests

response = requests.get(
    API_ENDPOINT,
    headers={
        'Authorization': f'Bearer {access_token}',
        'Ocp-Apim-Subscription-Key': '<your_subscription_key>'
    }
)
import requests

response = requests.get(
    API_ENDPOINT,
    headers={
        'Authorization': f'Bearer {access_token}',
        'Ocp-Apim-Subscription-Key': '<your_subscription_key>'
    }
)
csharp
var client = new HttpClient();
client.DefaultRequestHeaders.Authorization =
    new AuthenticationHeaderValue("Bearer", accessToken);
client.DefaultRequestHeaders.Add("Ocp-Apim-Subscription-Key", "<your_subscription_key>");

var response = await client.GetAsync(API_ENDPOINT);
var client = new HttpClient();
client.DefaultRequestHeaders.Authorization =
    new AuthenticationHeaderValue("Bearer", accessToken);
client.DefaultRequestHeaders.Add("Ocp-Apim-Subscription-Key", "<your_subscription_key>");

var response = await client.GetAsync(API_ENDPOINT);
java
HttpClient client = HttpClient.newHttpClient();

HttpRequest request = HttpRequest.newBuilder()
    .uri(URI.create(API_ENDPOINT))
    .header("Authorization", "Bearer " + accessToken)
    .header("Ocp-Apim-Subscription-Key", "<your_subscription_key>")
    .GET()
    .build();

HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
HttpClient client = HttpClient.newHttpClient();

HttpRequest request = HttpRequest.newBuilder()
    .uri(URI.create(API_ENDPOINT))
    .header("Authorization", "Bearer " + accessToken)
    .header("Ocp-Apim-Subscription-Key", "<your_subscription_key>")
    .GET()
    .build();

HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());

Path Parameters Values

NameTypeRequiredDescription
idstring(uuid)yesThe Unique ID of a URSB-AnnualReturns request

Query Parameters Values

NameTypeRequiredDescription
RequesterIdstring or nullnoThe unique Id for the request initiator
VerificationStatusArray of string (Enum: Unknown, Valid, Invalid)noThe verification stage status
StatusesArray of string (Enum: Pending, Completed, Error)noThe stage at which the request is at
PhoneNumberstring or nullnoPhone number sent in request payload.
Fromstring (date-time)noStart date in query.
Tostring (date-time)noEnd date in query.
ReferenceIdstring or nullnoReference Id sent in the verification request.
Querystring or nullnoSearch input.
Skipinteger (int32)noPage number
Limitinteger (int32)noNumber of responses per page.

Response

Response Values

Content type

application/json

NameTypeDescription
statusCodeinteger (int32)

Example Response Body

json
{
  "statusCode": 0,
}
{
  "statusCode": 0,
}

Error Response

400 Bad Request

application/json

NameTypeDescription
statusCodeinteger(int32)The status of the error response

Example Error Response

json
{
 "statusCode": 0
}
{
 "statusCode": 0
}

401 Unauthorized

application/json

NameTypeDescription
statusCodeinteger(int32)The status of the error response

Example Error Response

json
{
 "statusCode": 0
}
{
 "statusCode": 0
}

500 Server Error

No response

Tech served right